<?php
/**************    Include cabecera  ***********************************/
require_once dirname(__DIR__) . '/../../principal_compra_reserva_ajax_api.php';

// Elimino descontar plazas del primer paso, por si vuelve a filtros
unset($_SESSION['descuenta_plazas_primero']);

$BACKOFFICE_API = BACKOFFICE_API;
$RAIZ           = DOMINIO;
$RAIZ_URL       = DIRECCIONPROYECTO;

// PHP con los textos estáticos de la plantilla
require_once DIRLANGUAGESTRINGS . 'reserva_web/api/formulario_visitas_api.php';

$id_servicio         = $_POST['id_servicio'];
$data_servicio       = $_POST['data_servicio'];
$sesion_lang         = $_POST['lang'];
$idiomas             = $_POST['idiomas'];
$tarifas             = $_POST['tarifas'];
$fecha               = isset($_POST['fecha']) ? $_POST['fecha'] : '';
$formulario_contacto = $_POST['formulario_contacto'];

$FORMULARIOCONTACTA = $formulario_contacto;
//TODO CAMBIAR RUTA
$protocol   = $_SERVER['HTTPS'] == 'on' ? 'https' : 'http';
$domainLink = $protocol . '://' . $_SERVER['HTTP_HOST'];
$parse   = parse_url($domainLink);
$urlhost = $protocol . '://' . $parse['host'];
$urlvisitas = isset($_POST['url_visitas']) ? $_POST['url_visitas'] : 'visitas';

// Establecemos en función del lenguaje seleccionado el js con los textos
$lang   = (isset($sesion_lang) ? $sesion_lang : 'es_ES');
$LANGJS = $lang;

 
switch($lang){
    case "en_GB":
        $FORMULARIOCOMPRARENVIAR = $domainLink . "/en/enoexperience/?comprar";
    break;
    case "fr_FR":
        $FORMULARIOCOMPRARENVIAR = $domainLink . "/fr/enoexperience-fr/?comprar";
    break;
    default:
        $FORMULARIOCOMPRARENVIAR = $domainLink . "/enoexperiencia/?comprar";
    break;
 
}

$TEXTOSERVICIOCONTACTA = _('Si los horarios disponibles para visitar nuestras bodegas no se adecuan a tus necesidades, o se trata de un grupo numeroso, por favor contacta con nosotros.');
$TEXTOBOTONCONTACTA    = _('Contacta.');
$FECHA_VIENES          = $fecha;

if ($data_servicio['Servicio'] == null) {
    if ($lang == 'es_ES') {
        echo "<script> window.location.replace(' /visitas') </script>";
    } else if ($lang == 'fr_FR') {
        echo "<script> window.location.replace(' /fr/visites') </script>";
    } else {
        echo "<script> window.location.replace('/en/visits') </script>";
    }
    exit;
}

$tIdiomaRelacionado = 0;

$IMAGENTITULOSERVICIO    = ENALCEIMAGENSERVICIOS . $data_servicio['Servicio']['miniatura'];
$TEXTTITULOSERVICIO      = $data_servicio['Servicio']['nombre'];
$TEXTDESCRIPCIONSERVICIO = $data_servicio['Servicio']['descripcion'];

$MINIMOPLAZA       = $data_servicio['Servicio']['plazas_minimo'];
$CATEGORIAID       = $id_servicio;
$NOMBRECATEGORIA   = $data_servicio['Servicio']['nombre'];
$SELECTEDCATEGORIA = 'selected';

$SELECTEDBODEGA = 'selected';
$BODEGAID       = $data_servicio['Servicio']['instalacion_id'];
$BODEGANOMBRE   = $data_servicio['instalacion']['nombre'];
$IDIOMASERVICIO = $data_servicio['i']['idioma'];

$TEXTINSTALACIONSERVICIO = $data_servicio['instalacion']['nombre'];

//print "<pre>" . print_r($data_servicio, true) . "</pre>";

if ($tarifas != null) {
    $tUsuariosGrupo = 1;
} else {
    $tUsuariosGrupo = 0;
}
$tNoyHayServicio = 0;

if ($fecha != ''){
    $fechap         = explode("/", $fecha);
    $fecha          = $fechap[1] . "/" . $fechap[0] . "/" . $fechap[2];
    $FECHAVIENES    = strtotime($fecha);
}
$TEXTENOTURISMO = 'Enoturismo';
$URLHOME        = $domainLink;

// Cargamos el archivo de plantilla propio
require_once DIRLANGUAGETEMPLATES . "reserva_web/api/enoexperiencia.ctp";
